Subject: [IPP] Proposed errata for rfc3998

From: "Zehler, Peter" <[email-masked]>
Date: Wed, 16 Nov 2011 03:12:41 -0800

All,

Section 10.8.2 covering "original-requesting-user-name" is a bit
misleading.  The issue is that the Job owner is not always the same as
the  "requesting-user-name".   When forwarding jobs from one printer to
another the "original-requesting-user-name" is the most authenticated
printable name that can be obtained.  As stated in section 10.8.8 of
rfc3998:  "The "job-originating-user-name" Job Description attribute
(see [RFC2911], section 4.3.6) remains as the authenticated original
user".  This is inconsistent with section 10.8.2 as currently written.
Below is my proposed change to section 10.8.2.

Original:

10.8.2.  original-requesting-user-name (name(MAX)) Operation and Job

        Description Attribute

   The operation attribute containing the user name of the original

   user; i.e., corresponding to the "requesting-user-name" operation

   attribute (see [RFC2911], section 3.2.1.1) that the original client

   supplied to the first Printer object.  The Printer copies the

   "original-requesting-user-name" operation attribute to the

   corresponding Job Description attribute.

Corrected:

10.8.2.  original-requesting-user-name (name(MAX)) Operation and Job

        Description Attribute

   The operation attribute containing the user name of the original

   user; i.e., corresponding to the "job-originating-user-name" Job

   attribute (see [RFC2911], section 4.3.6) that identifies the Job

   owner on the first Printer object.  The Printer copies the

   "original-requesting-user-name" operation attribute to the

   corresponding Job Description attribute.

Peter Zehler

Xerox Research Center Webster
Email: [email-masked] <mailto:[email-masked]> 
Voice: (585) 265-8755
FAX: (585) 265-7441
US Mail: Peter Zehler
Xerox Corp.
800 Phillips Rd.
M/S 128-25E
Webster NY, 14580-9701 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp